Skip to content

WLAN Optimization ​

26 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportRfPlanningHistoryPOSTExport PlanningHistory
cancelRadioFrequencyPlanningPOSTcancel Radio Frequency Planning
startOptimizationPOSTstart Optimization
startRrmOptimizationPOSTstart Rrm Optimization
getExperienceIndexGETget Experience Index
getGirdPlanningHistorysGETget Gird Planning Historys
deletePlanningHistoryDELETEdelete Planning History
getPlanningHistoryGETGet Planning History
applyPlanningHistoryPOSTapply Planning History
batchDeletePlanningHistoryPOSTBatch Delete PlanningHistory
getPlanningHistorysByTimeGETGet the planningHistory
getRadioFrequencyPlanningConfigGETget Radio Frequency Planning Config
modifyRFPlanningDeployConfigPUTmodify RF Planning Deploy Config
queryRFPlanningBoardGETGet RRM AI time line
queryRFPlanningDashboardHistoryGETGet RRM AI dashboard history time line
queryRFPlanningBoardStatusGETGet RRM AI dashboard status
getExcludeApsGETget ExcludeAps
modifyExcludeApsPUTmodify Exclude Aps
deleteExcludeApsPOSTDelete ExcludeAps
getRFPlanningDeployHistoryGETget RF Planning Deploy History
getLast20PlanningHistorysGETget Last 20 PlanningHistorys
getTimeLinePlanningHistorysGETGet the planningHistory Time Line
getRadioFrequencyPlanningResultGETget Radio Frequency Planning Result
modifyRFPlanningScheduleConfigPUTmodify RF Planning Schedule Config
getRadioFrequencyPlanningConfigTemplateGETget Radio Frequency Planning Config Template
modifyRFPlanningDeployConfigTemplatePUTmodify RF Planning Deploy Config Template

exportRfPlanningHistory ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/rfPlanning/history/export

Export PlanningHistory

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Export RF planning history openapi VO

FieldTypeRequiredDescription
typestringnoExport policy, type should be a value as follows:, all: export all history, include: export history in ids, exclude: exclude history in ids.
export_formatintegeryesExport file format, should be a value as follows: 0: csv, 1: xlsx
history_idsarray<string>noRfPlanningHistoryId list
startintegernoStart time of history to export (millisecond timestamp)
endintegernoEnd time of history to export (millisecond timestamp)
filter_modeintegernofiltermode should be a value as follows: 1: rfPlanningHistory mode is manual; 2:rfPlanningHistory mode is adaptive
json
// omada_call_operation
{
  "operationId": "exportRfPlanningHistory",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export PlanningHistory
The interface requires one of the permissions:
Site Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

cancelRadioFrequencyPlanning ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/cancel

cancel Radio Frequency Planning

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "cancelRadioFrequencyPlanning",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

cancel Radio Frequency Planning
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

startOptimization ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/optimization

start Optimization

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Optimization Strategy

FieldTypeRequiredDescription
optimizationStrategyintegeryesStrategy of WLAN Optimization. 0: Global Optimization. 1: Optimization Adjustment, when WLAN Optimization is performed for the first time, that is, when API [get RF Planning Deploy History] returns ‘true’, this option is equivalent to Global Optimization.
json
// omada_call_operation
{
  "operationId": "startOptimization",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

start Optimization
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

startRrmOptimization ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/rrmOptimization

start Rrm Optimization

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Optimization Strategy

FieldTypeRequiredDescription
optimizationStrategyintegeryesStrategy of WLAN Optimization. 0: Global Optimization. 1: Optimization Adjustment, when WLAN Optimization is performed for the first time, that is, when API [get RF Planning Deploy History] returns ‘true’, this option is equivalent to Global Optimization.
json
// omada_call_operation
{
  "operationId": "startRrmOptimization",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

start Rrm Optimization
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getExperienceIndex ​

GET /openapi/v1/{omadacId}/sites/{siteId}/experienceIndex

get Experience Index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getExperienceIndex",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get Experience Index
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getGirdPlanningHistorys ​

GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistory

get Gird Planning Historys

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGirdPlanningHistorys",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get Gird Planning Historys
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

deletePlanningHistory ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}

delete Planning History

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesplanning history ID
json
// omada_call_operation
{
  "operationId": "deletePlanningHistory",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

delete Planning History
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getPlanningHistory ​

GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}

Get Planning History

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesplanning history ID
json
// omada_call_operation
{
  "operationId": "getPlanningHistory",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  }
}
Details, permissions and error codes

Get Planning History
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

applyPlanningHistory ​

POST /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}

apply Planning History

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
idpathstringyesplanning history ID

Request body — application/json (required) — schema Applied Config

FieldTypeRequiredDescription
appliedConfigintegernoThe value of parameter [appliedConfig] should be 1 or 2. 1: apply recommended config. 2: apply previous config.
json
// omada_call_operation
{
  "operationId": "applyPlanningHistory",
  "params": {
    "siteId": "<siteId>",
    "id": "<id>"
  },
  "body": "{...}"
}
Details, permissions and error codes

apply Planning History
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

batchDeletePlanningHistory ​

POST /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/batch/delete

Batch Delete PlanningHistory

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Batch Delete PlanningHistory

FieldTypeRequiredDescription
typestringnoDelete policy, all: delete all history, include: delete history in ids, exclude: exclude history in ids.
idsarray<string>noHistoryId list
startintegernoStart time of the history to be deleted(millisecond timestamp)
endintegernoEnd time of the history to be deleted(millisecond timestamp)
filter_modeintegernofiltermode should be a value as follows: 1: rfPlanningHistory mode is manual; 2:rfPlanningHistory mode is adaptive
json
// omada_call_operation
{
  "operationId": "batchDeletePlanningHistory",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Delete PlanningHistory
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getPlanningHistorysByTime ​

GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistoryByTime

Get the planningHistory

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
currentPagequeryintegeryesStart page number. Start from 1.
currentPageSizequeryintegeryesNumber of entries per page. It should be within the range of 1–1000.
startqueryintegeryesstart time
endqueryintegeryesend time
json
// omada_call_operation
{
  "operationId": "getPlanningHistorysByTime",
  "params": {
    "siteId": "<siteId>",
    "currentPage": "<currentPage>",
    "currentPageSize": "<currentPageSize>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get the planningHistory by time
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getRadioFrequencyPlanningConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning

get Radio Frequency Planning Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRadioFrequencyPlanningConfig",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get Radio Frequency Planning Config
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

modifyRFPlanningDeployConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/config

modify RF Planning Deploy Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RF Planning Deploy Config

FieldTypeRequiredDescription
modeintegeryes0: Auto configuration. 1: Custom configuration.
customSettingCustomSettingVOno(CustomSettingVO not expanded; call omada_get_schema "CustomSettingVO")
json
// omada_call_operation
{
  "operationId": "modifyRFPlanningDeployConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify RF Planning Deploy Config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

queryRFPlanningBoard ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard

Get RRM AI time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "queryRFPlanningBoard",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get RRM AI time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

queryRFPlanningDashboardHistory ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard/history

Get RRM AI dashboard history time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "queryRFPlanningDashboardHistory",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get RRM AI dashboard history time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

queryRFPlanningBoardStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard/status

Get RRM AI dashboard status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "queryRFPlanningBoardStatus",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get RRM AI dashboard status
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getExcludeAps ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps

get ExcludeAps

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
currentPagequeryintegeryesStart page number. Start from 1.
currentPageSizequeryintegeryesNumber of entries per page. It should be within the range of 1–1000.
json
// omada_call_operation
{
  "operationId": "getExcludeAps",
  "params": {
    "siteId": "<siteId>",
    "currentPage": "<currentPage>",
    "currentPageSize": "<currentPageSize>"
  }
}
Details, permissions and error codes

get ExcludeAps
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

modifyExcludeAps ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps

modify Exclude Aps

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Excluded APs Config

FieldTypeRequiredDescription
deletebooleanyesWhether to delete device(s) from the excluded AP list.
excludeApsstringnoParameter [excludeAps] should not be null when parameter [delete] is true. It contains device MAC that should not be excluded. MAC should be concatenated with ','.
selectMacsSelectMacsVOno(SelectMacsVO not expanded; call omada_get_schema "SelectMacsVO")
json
// omada_call_operation
{
  "operationId": "modifyExcludeAps",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify Exclude Aps
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

deleteExcludeAps ​

POST /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps/delete

Delete ExcludeAps

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ExcludeApDeleteOpenApiVO

FieldTypeRequiredDescription
selectTypestringnoThe value of parameter [selectType] must be in [all, include, exclude].
macsarray<string>noMAC list. When parameter [selectType] is 'all', it should be null.When parameter [selectType] is 'include', it means the MAC list that needs to be included.When parameter [selectType] is 'exclude', it means the MAC list that needs to be excluded.
json
// omada_call_operation
{
  "operationId": "deleteExcludeAps",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete ExcludeAps
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getRFPlanningDeployHistory ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfplanning/history

get RF Planning Deploy History

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRFPlanningDeployHistory",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

check whether RF Planning has been successfully executed before.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getLast20PlanningHistorys ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/history/last20times

get Last 20 PlanningHistorys

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getLast20PlanningHistorys",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get Last 20 PlanningHistorys
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getTimeLinePlanningHistorys ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/history/timeline

Get the planningHistory Time Line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesstart time
endqueryintegeryesend time
typequeryintegeryestype:0-day,1-week
json
// omada_call_operation
{
  "operationId": "getTimeLinePlanningHistorys",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get the planningHistory drawing of the past period of time
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getRadioFrequencyPlanningResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/result

get Radio Frequency Planning Result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getRadioFrequencyPlanningResult",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

get Radio Frequency Planning Result
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

modifyRFPlanningScheduleConfig ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/schedule/config

modify RF Planning Schedule Config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema RFPlanningScheduleConfigOpenApiVO

FieldTypeRequiredDescription
scheduleEnablebooleanyesWhether by WLAN Optimization schedule. The optimization schedule function is temporarily offline.
occurrenceoccurrenceyes(occurrence not expanded; call omada_get_schema "occurrence")
json
// omada_call_operation
{
  "operationId": "modifyRFPlanningScheduleConfig",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify RF Planning Schedule Config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.

getRadioFrequencyPlanningConfigTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rfPlanning/config

get Radio Frequency Planning Config Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getRadioFrequencyPlanningConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

get Radio Frequency Planning Config Template
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

modifyRFPlanningDeployConfigTemplate ​

PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rfPlanning/config

modify RF Planning Deploy Config Template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema RF Planning Deploy Config

FieldTypeRequiredDescription
modeintegeryes0: Auto configuration. 1: Custom configuration.
customSettingCustomSettingVOno(CustomSettingVO not expanded; call omada_get_schema "CustomSettingVO")
json
// omada_call_operation
{
  "operationId": "modifyRFPlanningDeployConfigTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

modify RF Planning Deploy Config Template
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.